Package org.springframework.cloud.task.batch.listener

# Class BatchEventAutoConfiguration.JobExecutionListenerConfiguration

java.lang.Object
org.springframework.cloud.task.batch.listener.BatchEventAutoConfiguration.JobExecutionListenerConfiguration

Enclosing class:
  BatchEventAutoConfiguration

@Configuration(proxyBeanMethods=false) @ConditionalOnClass(org.springframework.cloud.stream.function.StreamBridge.class) @EnableConfigurationProperties(TaskEventProperties.class) @ConditionalOnMissingBean(name="jobExecutionEventsListener") @ConditionalOnExpression("T(org.springframework.util.StringUtils).isEmpty(\'${spring.batch.job.jobName:}\')") public static class BatchEventAutoConfiguration.JobExecutionListenerConfiguration extends Object
Configuration for Job Execution Listener.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobExecutionListenerConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventEmittingChunkListener`
  `chunkEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `org.springframework.batch.core.ItemProcessListener`
  `itemProcessEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `org.springframework.batch.core.ItemReadListener`
  `itemReadEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `org.springframework.batch.core.ItemWriteListener`
  `itemWriteEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `org.springframework.batch.core.JobExecutionListener`
  `jobExecutionEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `MessagePublisher`
  `messagePublisher(org.springframework.cloud.stream.function.StreamBridge streamBridge)`
  `org.springframework.batch.core.SkipListener`
  `skipEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`
  `org.springframework.batch.core.StepExecutionListener`
  `stepExecutionEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobExecutionListenerConfiguration

    public JobExecutionListenerConfiguration()

- ## Method Details

  - ### jobExecutionEventsListener

    @Bean @Lazy @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.job-execution", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.JobExecutionListener jobExecutionEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### stepExecutionEventsListener

    @Bean @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.step-execution", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.StepExecutionListener stepExecutionEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### chunkEventsListener

    @Bean @Lazy @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.chunk", name="enabled", havingValue="true", matchIfMissing=true) public EventEmittingChunkListener chunkEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### itemReadEventsListener

    @Bean @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.item-read", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.ItemReadListener itemReadEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### itemWriteEventsListener

    @Bean @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.item-write", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.ItemWriteListener itemWriteEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### itemProcessEventsListener

    @Bean @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.item-process", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.ItemProcessListener itemProcessEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### skipEventsListener

    @Bean @ConditionalOnProperty(prefix="spring.cloud.task.batch.events.skip", name="enabled", havingValue="true", matchIfMissing=true) public org.springframework.batch.core.SkipListener skipEventsListener(MessagePublisher messagePublisher, TaskEventProperties properties)

  - ### messagePublisher

    @Bean public MessagePublisher messagePublisher(org.springframework.cloud.stream.function.StreamBridge streamBridge)